Subject: bug#1078: 23.0.60; font faces setting ignored by emacsclient run against --daemon

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 3 Oct 2008 22:45:58 -0700 (PDT)

[email-masked] (Stefano Zacchiroli) writes:

  >   [ Disclaimer: I'm not sure this bug is legitimate, as it is about an
  >   emacs feature (--daemon) which is not even yet documented. 

Please check the manual, and emacs --help.

  > 
  >   I'm routinely using "emacsclient -c" against a main Emacs which have
  >   a (server-start) in its ~/.emacs to start the Emacs server by
  >   default. Everything is fine in that setting.
  > 
  >   However, if instead of using a main Emacs I use an Emacs demonized
  >   with --daemon, then the clients started by "emacsclient -c" start
  >   properly, but they ignore setting about font faces. 
  > 
  >   For reference, the customized faces I'm using have been set using
  >   Custom, here is the relevant sexp from my ~/.emacs:
  > 
  >   (custom-set-faces
  >   ;; custom-set-faces was added by Custom.
  >   ;; If you edit it by hand, you could mess it up, so be careful.
  >   ;; Your init file should contain only one such instance.
  >   ;; If there is more than one, they won't work right.
  >  '(default ((t (:inherit nil :stipple nil :background "white"
  >   :foreground "black" :inverse-video nil :box nil :strike-through nil
  >   :overline nil :underline nil :slant normal :weight normal :height 90
  >   :width normal :foundry "monospace" :family "monospace"))))

I slightly changed your code to make the background blue and the font
underline to be able to easily check that setting the face and font work
(no idea how to deal with the foundry and family...)

(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :stipple nil :background "blue"
			 :foreground "black" :inverse-video nil :box nil :strike-through nil
			 :overline nil :underline t :slant normal :weight normal :height 90
			 :width normal :foundry "monospace" :family "monospace")))))

and frames created with:
emacs
and  emacs --daemon  ; emacsclient -c 

look identical.